SDL_RenderFillRect(3)

NAME
SDL_RenderFillRect - Fill a rectangle on the current rendering target with the drawing color at subpixel precision.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderFillRect(SDL_Renderer *renderer, const SDL_FRect *rect);

FUNCTION PARAMETERS

renderer
    the renderer which should fill a rectangle.

rect
    a pointer to the destination rectangle, or NULL for the entire rendering target.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderFillRects(3)